<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (file_exists(INFUSIONS."wrapper/locale/".$settings['locale'].".php")) {
	include INFUSIONS."wrapper/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."wrapper/locale/English.php";
}

// SuperAdmin only access
if (!iSUPERADMIN) { redirect("../../index.php"); }

// Prevent SQL Injection
if (isset($wrapper_id) && !isnum($wrapper_id)) fallback(FUSION_SELF);
if (!isset($step)) $step = "";

// Delete page
if ($step == "delete") {
	$result = dbquery("DELETE FROM ".$db_prefix."wrapper WHERE wrapper_id='$wrapper_id'");
	redirect("wrapper_admin.php");
}

// Save page	
if (isset($_POST['save_page'])) {
	
	// Clean values
	$wrapper_title = stripinput($_POST['wrapper_title']);
	$wrapper_description = addslash($_POST['wrapper_description']);
	$wrapper_url = stripinput($_POST['wrapper_url']);
	$wrapper_height = stripinput($_POST['wrapper_height']);
	$wrapper_resize = isset($_POST['wrapper_resize']) ? "1" : "";
	//
	$wrapper_side_left = stripinput($_POST['wrapper_side_left']);
	$wrapper_side_right = stripinput($_POST['wrapper_side_right']);
	//

	// Check for required values
	if ($wrapper_title == "" || $wrapper_url == "" || $wrapper_height == "") {
		$error = "<div style='text-align:center'>" . $locale['epw_018'] . "<br /><br /></div>";
		$step = "edit";
	} else {

		// Update wrapper
		if ($step == "edit") {
			$result = dbquery("UPDATE ".$db_prefix."wrapper SET 
				wrapper_title='".$wrapper_title."', 
				wrapper_description='".$wrapper_description."',
				wrapper_url='".$wrapper_url."',
				wrapper_height='".$wrapper_height."',
				wrapper_resize='".$wrapper_resize."',
				
				wrapper_side_left='".$wrapper_side_left."',
				wrapper_side_right='".$wrapper_side_right."'
				
				WHERE wrapper_id='$wrapper_id'");
			redirect("wrapper_admin.php");
		} else {

			// Add new wrapper
			$result = dbquery("INSERT INTO ".$db_prefix."wrapper VALUES (
				'',
				'".$wrapper_title."', 
				'".$wrapper_url."',
				'".$wrapper_description."',
				'".$wrapper_height."',
				'".$wrapper_resize."',
				
				'".$wrapper_side_left."',
				'".$wrapper_side_right."')");
				
			redirect("wrapper_admin.php");
		}
	}
}

// Edit Page
if ($step == "edit") {
	opentable($locale['epw_003'] . $locale['epw_001']);
	
	// Display any errors
	if ($error) {
		echo $error;
	} else {
		$result = dbquery("SELECT * FROM ".$db_prefix."wrapper WHERE wrapper_id='".$wrapper_id."'");
		if (dbrows($result)) {
			$data = dbarray($result);
			// Set values
			$wrapper_title = $data['wrapper_title'];
			$wrapper_description = stripslashes($data['wrapper_description']);
			$wrapper_url = $data['wrapper_url'];
			$wrapper_height = $data['wrapper_height'];
			$wrapper_resize = $data['wrapper_resize'];
			//
			$wrapper_side_left = $data['wrapper_side_left'];
			$wrapper_side_right = $data['wrapper_side_right'];
			//
			$formaction = FUSION_SELF."?step=edit&amp;wrapper_id=$wrapper_id";
		} else {
			// Invalid wrapper id
			echo  "<div style='text-align:center'>" , $locale['epw_016'] , "<br /><br /></div>";
		}
	}
	
// Add Page
} else {
	opentable($locale['epw_002'] . $locale['epw_001']);
	// Clear values
	$wrapper_title = '';
	$wrapper_description = '';
	$wrapper_url = '';
	$wrapper_height = '';
	$wrapper_resize = 1;
	
	$wrapper_side_left = 1;
	$wrapper_side_right = 1;
	
	$formaction = FUSION_SELF;
}

// Default page height 600
$check_height = ($wrapper_height !== '') ? "$wrapper_height" : "600" ;

// Getting side_left and side_right status
$check_left = ($wrapper_side_left == 1) ? "checked" : "" ;
$check_right =	($wrapper_side_right == 1) ? "checked" : "" ;

// Determine if wrapper should be resized or not
$checked = ($wrapper_resize == 1) ? "checked" : "" ;

// Display form
echo "<form name='inputform' id='frmWrapper' action='".$formaction."' method='POST'>
<table align='center' cellpadding='0' cellspacing='0' width='480'>
<tr>
<td width='100' class='tbl'>".$locale['epw_010']."</td>
<td class='tbl'><input type='text' name='wrapper_title' value='".$wrapper_title."' class='textbox' style='width:380px;'></td>
</tr>
<tr>
<td valign='top' width='100' class='tbl'>".$locale['epw_011']."</td>
<td class='tbl'><textarea name='wrapper_description' rows='5' class='textbox' style='width:380px;'>".$wrapper_description."</textarea></td>
</tr>
<tr>
<td class='tbl'></td><td class='tbl'>
<input type='button' value='b' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('wrapper_description', '<b>', '</b>');\">
<input type='button' value='i' class='button' style='font-style:italic;width:25px;' onClick=\"addText('wrapper_description', '<i>', '</i>');\">
<input type='button' value='u' class='button' style='text-decoration:underline;width:25px;' onClick=\"addText('wrapper_description', '<u>', '</u>');\">
<input type='button' value='link' class='button' style='width:35px' onClick=\"addText('wrapper_description', '<a href=\'', '\' target=\'_blank\'>Link</a>');\">
<input type='button' value='img' class='button' style='width:35px' onClick=\"addText('wrapper_description', '<img src=\'', '\' style=\'margin:5px\' align=\'left\'>');\">
<input type='button' value='center' class='button' style='width:45px' onClick=\"addText('wrapper_description', '<center>', '</center>');\">
<input type='button' value='small' class='button' style='width:40px' onClick=\"addText('wrapper_description', '<span class=\'small\'>', '</span>');\">
<input type='button' value='small2' class='button' style='width:45px' onClick=\"addText('wrapper_description', '<span class=\'small2\'>', '</span>');\">
<input type='button' value='alt' class='button' style='width:25px' onClick=\"addText('wrapper_description', '<span class=\'alt\'>', '</span>');\"><br />
</td>
</tr>
<tr>
<td width='100' class='tbl'>".$locale['epw_012']."</td>
<td class='tbl'><input type='text' name='wrapper_url' value='".$wrapper_url."' class='textbox' style='width:380px;'></td>
</tr>
<tr>
<td width='100' class='tbl'>".$locale['epw_013']."</td>
<td class='tbl'><input type='text' name='wrapper_height' value='".$check_height."' class='textbox' style='width:50px;'> px (600 by default)\n</td>
</tr>

<tr>
<td width='100' class='tbl'>&nbsp;</td>
<td class='tbl'>
<input type='checkbox' name='wrapper_side_left' value='1' ".$check_left."> ".$locale['epw_054']."</td>
</tr>
<tr>
<td width='100' class='tbl'>&nbsp;</td>
<td class='tbl'>
<input type='checkbox' name='wrapper_side_right' value='1' ".$check_right."> ".$locale['epw_055']."</td>
</tr>

<tr>
<td width='100' class='tbl'>&nbsp;</td>
<td class='tbl'>
<input type='checkbox' name='wrapper_resize' value='1' ".$checked."> ".$locale['epw_014']."</td>
</tr>

<tr>
<td align='center' colspan='2' class='tbl'><br />
<input type='submit' name='save_page' value='".$locale['epw_015']."' class='button'></td>
</tr>
</table>
</form>\n";

closetable();

// Page Listings
opentable($locale['epw_001'] . $locale['epw_004']);
	
	$result = dbquery("SELECT * FROM ".$db_prefix."wrapper ORDER BY wrapper_title");
	if (dbrows($result)) {
		// List pages

		echo "<table align='center' cellpadding='0' cellspacing='0' width='480'>
			<tr>
			<td class='tbl2' style='font-weight:bold'>".$locale['epw_021']."</td>
			<td class='tbl2' style='text-align:center; font-weight:bold'>".$locale['epw_022']."</td>
			<td class='tbl2' style='text-align:right; font-weight:bold'>".$locale['epw_052']."</td>
			<td class='tbl2' style='text-align:right; font-weight:bold'>".$locale['epw_053']."</td>
			<td class='tbl2' style='text-align:center; font-weight:bold'>".$locale['epw_023']."</td>				
			<td class='tbl2' style='text-align:right; font-weight:bold'>".$locale['epw_024']."</td>
			</tr>";

		while ($data = dbarray($result)) {
			$data['wrapper_side_left'] = ($data['wrapper_side_left']==1) ? $locale['epw_050'] : $locale['epw_051'];
			$data['wrapper_side_right'] = ($data['wrapper_side_right']==1) ? $locale['epw_050'] : $locale['epw_051'];
			$data['wrapper_resize'] = ($data['wrapper_resize']==1) ? $locale['epw_050'] : $locale['epw_051'];


			
			echo "<tr>
				<td class='tbl1'><a href='".$data['wrapper_url']."' target='_blank'>".$data['wrapper_title']."</a></td>
				<td class='tbl1' style='text-align:center'>".$data['wrapper_height']."px</td>
				<td class='tbl1' style='text-align:center'>".$data['wrapper_side_left']."</td>
				<td class='tbl1' style='text-align:center'>".$data['wrapper_side_right']."</td>
				<td class='tbl1' style='text-align:center'>".$data['wrapper_resize']."</td>
				<td class='tbl1' style='text-align:right'>
					<a href='wrapper.php?wrapper_id=".$data['wrapper_id']."' target='_blank'>".$locale['epw_025']."</a> | 
					<a href='wrapper_admin.php?step=edit&amp;wrapper_id=".$data['wrapper_id']."'>".$locale['epw_026']."</a> | 
					<a href='wrapper_admin.php?step=delete&amp;wrapper_id=".$data['wrapper_id']."' onClick='return DeleteItem()'>".$locale['epw_027']."</a></td>
				</tr>";
		}

		echo "</table>";

echo "<script type='text/javascript'>
function DeleteItem() {
	return confirm('".$locale['epw_017']."');
}
</script>\n";

	} else {
		// No pages in db
		echo  "<div style='text-align:center'>" , $locale['epw_020'] , "</div>";
	}

closetable();

echo "</td>\n";
require_once BASEDIR."footer.php";
?>